Summary: Tool to synchronize a remote FTP-served with a local directory
Name:    ftpsync
Version: 1.81
Release: 1
Source0: http://www.linux-france.org/prj/ftpsync/dist/%{name}-%{version}.tgz
License: GPLv2
Group:   Networking/File transfer
URL:     http://www.linux-france.org/prj/ftpsync/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch

BUildRequires: sed
Requires: perl >= 5.8.8-2

%description
The command ftpsync is a tool allowing incremental and recursive FTP
transfer from a local directory to a remote FTP-served directory.

We sometimes need to mirror a set of files on a remote ftp server. The
perfect tool (rsync) is not always available.

Developing a script invoking a standard FTP client software will cause
useless transfers (all files again and again even if they have not
changed), and taking sub-directories into account will not be easy.

ftpsync is the adequate tool because it reduces the amount of data
transferred by not transferring a given local file if the remote copy
has an newer date (so the copy is already done and up to date) and the
same size (transfer completely done). The difference between system
clocks is taken into account using the ftp protocol. ftpsync is
somewhat "like" the rsync command but it uses the FTP protocol and
only transfers local files to a remote FTP server. Moreover it
implements the missing 'recursive PUT' FTP command.


%prep
%setup -q


%build
/opt/freeware/bin/sed -i 's|#!/usr/bin/perl -w|#!/opt/freeware/bin/perl -w|g' %{name}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp ftpsync ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README VERSION GPL INSTALL TODO ChangeLog CREDITS
%{_bindir}/*
/usr/bin/*


%changelog
* Tue Aug 09 2016 Michael Perzl <michael@perzl.org> - 1.81-1
- first version for AIX V5.1 and higher
